<template>
  <q-layout view="lHh Lpr lFf">
    <q-header elevated reveal>
      <q-toolbar>
        <q-avatar class="cursor-pointer" @click="$router.push('/')">
          <q-img src="https://cdn.quasar.dev/logo-v2/svg/logo-mono-white.svg" />
        </q-avatar>

        <q-toolbar-title class="cursor-pointer" @click="$router.push('/')">
          <strong
            ><span style="text-decoration: line-through">Я</span>занят</strong
          >
        </q-toolbar-title>

        <router-link to="/about" exact> About </router-link>

        <q-btn
          flat
          dense
          round
          icon="login"
          aria-label="Login"
          @click="toggleLogin = true"
        />
      </q-toolbar>
    </q-header>

    <q-page-container>
      <q-dialog v-model="toggleLogin">
        <Login />
      </q-dialog>
      <router-view />
    </q-page-container>
  </q-layout>
</template>

<script>
import Login from 'components/Login'

export default {
  name: 'ClientLayout',
  components: {
    Login,
  },
  data() {
    return {
      toggleLogin: false,
    }
  },
  methods: {},
}
</script>
